export default {
  expo: {
    name: 'Project HOLI',
    slug: 'projectholi',
    owner: 'holistic-foundation',
    version: '1.0.0',
    orientation: 'portrait',
    icon: './assets/icon.png',
    scheme: 'holi',
    splash: {
      image: './assets/splash.png',
      resizeMode: 'contain',
      backgroundColor: '#ffffff',
    },
    updates: {
      fallbackToCacheTimeout: 0,
    },
    assetBundlePatterns: ['**/*'],
    ios: {
      supportsTablet: true,
      bundleIdentifier: 'foundation.holistic.projectholi',
      buildNumber: '1.0.0',
      infoPlist: {
        CFBundleAllowMixedLocalizations: true,
      },
    },
    android: {
      adaptiveIcon: {
        foregroundImage: './assets/adaptive-icon.png',
        backgroundColor: '#FFFFFF',
      },
      package: 'foundation.holistic.projectholi',
      versionCode: 1,
    },
    web: {
      favicon: './assets/favicon.png',
    },
    plugins: [
      'sentry-expo',
      [
        'expo-image-picker',
        {
          photosPermission: 'The app accesses your photos to let you share them with your friends.',
        },
      ],
    ],
    hooks: {
      postPublish: [
        {
          file: 'sentry-expo/upload-sourcemaps',
          config: {
            organization: 'holistic-foundation',
            project: 'mvp-mobile',
            authToken: '0de4e0e0fa7447bca982f15e0481d2470fa641e9856f4df7983f0e1683c59352',
          },
        },
      ],
    },
    extra: {
      kratos: {
        url: process.env.KRATOS_BASE_URL || 'https://dev-auth.project-holi.org',
      },
      holi_api: {
        url: process.env.HOLI_API_URL || 'http://10.0.2.2:4001/graphql',
      },
      environment: process.env.ENVIRONMENT_ID,
      sentry: {
        dsn: process.env.SENTRY_DSN || 'https://0e50481f84454f9a838a8217085498f0@o949544.ingest.sentry.io/6377191',
      },
      eas: {
        projectId: process.env.EXPO_PROJECT_ID || '',
      },
    },
  },
}
